> For the complete documentation index, see [llms.txt](https://docs.suggestic.com/graphql/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.suggestic.com/graphql/query/mutations/wellness-plans/add-supplement.md).

# Add Supplement

Use `createSupplement` to add new supplements available to the users.

## Required Arguments

| Argument                    | Type                     | Description                                                                        |
| --------------------------- | ------------------------ | ---------------------------------------------------------------------------------- |
| `brand`                     | String!                  | Supplement brand.                                                                  |
| `name`                      | String!                  | Supplement name.                                                                   |
| `servingName`               | String!                  | Supplement serving name ex: Capsule, scoop, etc.                                   |
| `category`                  | String!                  | Supplement category.                                                               |
| `directionsOfUse`           | \[DirectionsOfUseInput!] |                                                                                    |
| `directionsOfUse.timeOfDay` | TimeOfDay!               | enum TimeOfDay { AT\_BEDTIME AT\_WAKING WITH\_BREAKFAST WITH\_DINNER WITH\_LUNCH } |
| `directionsOfUse.quantity`  | Float!                   | Recommended dosage.                                                                |
| `mainImage`                 | String!                  | Main image URL.                                                                    |
| `description`               | String                   | Supplement description.                                                            |
| `directionsOfUseText`       | String                   | Recommended use instructions.                                                      |
| `externalId`                | String                   | External Id.                                                                       |
| `images`                    | \[String]                | Supplement images.                                                                 |
| `ingredients`               | String                   | Supplement ingredients.                                                            |
| `instructions`              | String                   | Supplement instructions.                                                           |
| `shopifyParentId`           | String                   | Shopify parent Id.                                                                 |
| `shopifyVariantId`          | String                   | Shopify variant Id.                                                                |
| `sizeCount`                 | Int                      | Supplement size.                                                                   |
| `sku`                       | String                   | SKU                                                                                |
| `storeId`                   | String                   | Store Id.                                                                          |
| `supplementFacts`           | String                   | Supplement Facts.                                                                  |
| `productUrl`                | String                   | URL of the supplement.                                                             |

## Example

{% tabs %}
{% tab title="Query" %}

```graphql
mutation($input: CreateSupplementInput!) {
            createSupplement(input: $input) {
                success message
                supplement {
                    name category mainImage brand servingName description
                    directionsOfUseText sizeCount externalId sku storeId
                    shopifyVariantId shopifyParentId instructions ingredients 
                    supplementFacts images 
                    directionsOfUse { id quantity timeOfDay }
                }
            }
        }
```

{% endtab %}

{% tab title="Response" %}

```graphql

  "data": {
    "createSupplement": {
      "success": true,
      "message": "Supplement created",
      "supplement": {
        "name": "SuppTest",
        "category": "Generic",
        "mainImage": "https://static.wikia.nocookie.net/warner-bros-entertainment/images/6/6e/Acme-corp.png/revision/latest?cb=20180619032346",
        "brand": "ACME",
        "servingName": "Capsule",
        "description": null,
        "directionsOfUseText": null,
        "sizeCount": 0,
        "externalId": null,
        "sku": null,
        "storeId": null,
        "shopifyVariantId": null,
        "shopifyParentId": null,
        "instructions": null,
        "ingredients": null,
        "supplementFacts": null,
        "images": [],
        "directionsOfUse": [
          {
            "id": "U3VwcGxlbWVudERpcmVjdGlvbjoxNzUzMDM=",
            "quantity": 2,
            "timeOfDay": "WITH_BREAKFAST"
          }
        ]
      }
    }
  }
}
```

{% endtab %}
{% endtabs %}

#### Query Input Variables

```json
{
	"input": {
		"name": "SuppTest",
		"brand": "ACME",
		"category": "Generic",
		"servingName": "Capsule",
		"mainImage": "https://static.wikia.nocookie.net/warner-bros-entertainment/images/6/6e/Acme-corp.png/revision/latest?cb=20180619032346",
		"directionsOfUse": [{
			"timeOfDay": "WITH_BREAKFAST",
			"quantity": 2
		}]
	}
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.suggestic.com/graphql/query/mutations/wellness-plans/add-supplement.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
